## python-sigima 1.0.3

=== requirements.txt ===
Coverage
NumPy >= 1.22
PyQt5
PyWavelets >= 1.2
SciPy >= 1.10.1
babel
build
guidata >= 3.13
makefun >= 1.13.1
myst_parser
opencv-python-headless >= 4.8.1.78
packaging >= 21.3
pandas >= 1.4
plotpy
pre-commit
pydata-sphinx-theme
pylint
pytest
pytest-xvfb
qtpy
ruff
scikit-image >= 0.19.2
sphinx
sphinx-copybutton
sphinx-gallery
sphinx_design
sphinx_intl
typing-extensions >= 4.0

=== debian/changelog ===
python-sigima (1.0.3-1) unstable; urgency=low

  * Initial packaging.

 -- Roland Mas <lolando@debian.org>  Tue, 09 Dec 2025 21:29:34 +0100

=== debian/control ===
Source: python-sigima
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dbus,
 pybuild-plugin-pyproject,
 python3-all,
 python3-guidata <!nocheck>,
 python3-makefun <!nocheck>,
 python3-pandas <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pywt <!nocheck>,
 python3-setuptools,
 python3-skimage <!nocheck>,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://datalab-platform.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sigima.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sigima
Rules-Requires-Root: no

Package: python3-sigima
Architecture: all
Depends:
 python3,
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for scientific image and signal processing
 Sigima is an open-source Python library for scientific image and
 signal processing, designed as a modular and testable foundation for
 building advanced analysis pipelines.
 .
 Highlights:
 - Unified processing model for 1D signals and 2D images
 - Works with object-oriented wrappers (SignalObj, ImageObj)
 extending NumPy arrays
 - Includes common processing tasks: filtering, smoothing, binning,
 thresholding, labeling, etc.
 - Structured for testability, modularity, and headless usage
 - 100% independent of GUI frameworks (no Qt/PlotPyStack
 dependencies)

=== debian/rules ===
#! /usr/bin/make -f

#export PYBUILD_NAME=sigima
#export PYBUILD_SYSTEM=pyproject
#export CDL_DATA=$(CURDIR)/cdl/data/tests

export PYBUILD_DISABLE=python3.14

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/DataLab-Platform/sigima/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
